Qwt User's Guide: QwtPlotMagnifier Class Reference

# QwtPlotMagnifier Class Reference

QwtPlotMagnifier provides zooming, by magnifying in steps. More...

`#include <qwt_plot_magnifier.h>`

Inheritance diagram for QwtPlotMagnifier:
[legend]

List of all members.

## Public Member Functions
| QwtPlotMagnifier (QwtPlotCanvas *)
virtual | ~QwtPlotMagnifier ()
void | setAxisEnabled (int axis, bool on)
bool | isAxisEnabled (int axis) const
QwtPlotCanvas * | canvas ()
const QwtPlotCanvas * | canvas () const
QwtPlot * | plot ()
const QwtPlot * | plot () const
## Protected Member Functions
virtual void | rescale (double factor)

## Detailed Description

QwtPlotMagnifier provides zooming, by magnifying in steps.

Using QwtPlotMagnifier a plot can be zoomed in/out in steps using keys, the mouse wheel or moving a mouse button in vertical direction.

Together with QwtPlotZoomer and QwtPlotPanner it is possible to implement individual and powerful navigation of the plot canvas.

See also:
  QwtPlotZoomer, QwtPlotPanner, QwtPlot

## Constructor & Destructor Documentation

QwtPlotMagnifier::QwtPlotMagnifier | ( | QwtPlotCanvas * | canvas | ) | `[explicit]`

Constructor

Parameters:

  | canvas | Plot canvas to be magnified

QwtPlotMagnifier::~QwtPlotMagnifier | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

const QwtPlotCanvas * QwtPlotMagnifier::canvas | ( |  | ) | const

Return Observed plot canvas.

QwtPlotCanvas * QwtPlotMagnifier::canvas | ( |  | ) |

Return observed plot canvas.

bool QwtPlotMagnifier::isAxisEnabled | ( | int | axis | ) | const

Test if an axis is enabled

Parameters:

  | axis | Axis, see QwtPlot::Axis

Returns:
  True, if the axis is enabled

See also:
  setAxisEnabled()

const QwtPlot * QwtPlotMagnifier::plot | ( |  | ) | const

Return plot widget, containing the observed plot canvas.

QwtPlot * QwtPlotMagnifier::plot | ( |  | ) |

Return plot widget, containing the observed plot canvas.

void QwtPlotMagnifier::rescale | ( | double | factor | ) | `[protected, virtual]`

Zoom in/out the axes scales

Parameters:

  | factor | A value < 1.0 zooms in, a value > 1.0 zooms out.

Implements QwtMagnifier.

void QwtPlotMagnifier::setAxisEnabled | ( | int | axis,
|  | bool | on |
| ) |  |  |

En/Disable an axis.

Axes that are enabled will be synchronized to the result of panning. All other axes will remain unchanged.

Parameters:

  | axis | Axis, see QwtPlot::Axis
  | on | On/Off

See also:
  isAxisEnabled()